Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLUListElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLUListElementImpl

public final class HTMLUListElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLUListElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:13 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLUListElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLUListElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`boolean` | `getCompact()`
`java.lang.String` | `getType()`
`void` | `setCompact(boolean compact)`
`void` | `setType(java.lang.String type)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLUListElementImpl

    public HTMLUListElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCompact

    public boolean getCompact()

  Specified by:
    getCompact in interface org.w3c.dom.html.HTMLUListElement

### setCompact

    public void setCompact(boolean compact)

  Specified by:
    setCompact in interface org.w3c.dom.html.HTMLUListElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLUListElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface org.w3c.dom.html.HTMLUListElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD